/*
 * GPScan - Graphical Port Scanner
 * Copyright (C) 2001-2003, split_yo
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef GPS_HOST_H
#define GPS_HOST_H 1

typedef struct _GPHost			GPHost;

GPHost*		gps_host_new		(void);
void		gps_host_free		(GPHost*);

void		gps_host_set_name	(GPHost*, const char*);
void		gps_host_set_ip		(GPHost*, const char*);
void		gps_host_set_family	(GPHost*, int);
void		gps_host_set_port_start	(GPHost*, int);
void		gps_host_set_port_end	(GPHost*, int);

char*		gps_host_get_name	(const GPHost*);
char*		gps_host_get_ip		(const GPHost*);
int		gps_host_get_family	(const GPHost*);
int		gps_host_get_port_start	(const GPHost*);
int		gps_host_get_port_end	(const GPHost*);

char*		gps_host_get_error	(const GPHost*);

int		gps_host_resolve	(GPHost*);

#endif /* GPS_HOST_H */
